%define module	Parse-Yapp
%define version	1.05
%define release	6mdk
Packager: Jean-Michel Dault <jmdault@mandrakesoft.com>

Summary:	Fully reentrant perl OO LALR(1) parser creator
Name:		perl-%{module}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot/
Requires:	perl
BuildArch:	noarch

%description
The %{module} module for perl enables to create Perl OO fully reentrant
LALR(1) parser modules (see the Yapp.pm pod pages for more details)
and has been designed to be functionally as close as possible to yacc,
but using the full power of Perl and opened for enhancements.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Parse

%changelog
* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.05-6mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-5mdk
- rebuild for new auto{prov,req}

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-4mdk
- better summary & description

* Wed Jul 10 2002 Christian Belisle <cbelisle@mandrakesoft.com> 1.05-3mdk
- add 'make test'

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 1.05-2mdk
- rebuild for perl 5.8.0

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 1.05-1mdk
- added documentation.
- updated license.
- removing filelist.
- 1.05.

* Mon Oct 15 2001 Stefan van der Eijk <stefan@eijk.nu> 1.04-2mdk
- BuildRequires: perl-devel

* Mon Jun 18 2001 Till Kamppeter <till@mandrakesoft.com> 1.04-1mdk
- Updated to 1.04 (for Foomatic).

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.02-4mdk
- Rename spec file.
- Remove the Distribution and Vendor tag.
- Rebuild for the latest perl.

* Tue Mar 13 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.02-3mdk
- BuildArch: noarch

* Sat Sep 16 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.02-2mdk
- Call spec-helper before creating filelist

* Wed Aug 09 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.02-1mdk
- Macroize package
